<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>NameRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NameRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/NameRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/NameCommentRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/NoteRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/NameRecord.html" target="_top">Frames</a></li>
        <li><a href="NameRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record</div>
    <h2 title="Class NameRecord" class="title">Class NameRecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                               title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.Record</a></li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
                                       title="class in org.apache.poi.hssf.record.cont">org.apache.poi.hssf.record.cont.ContinuableRecord</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hssf.record.NameRecord</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">NameRecord</span>
extends <a href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
           title="class in org.apache.poi.hssf.record.cont">ContinuableRecord</a></pre>
                <div class="block">Title: DEFINEDNAME Record (0x0018)<p>
                    Description: Defines a named range within a workbook.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_AUTO_ACTIVATE">BUILTIN_AUTO_ACTIVATE</a></span></code>
                                    <div class="block">Included for completeness sake, not implemented</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_AUTO_CLOSE">BUILTIN_AUTO_CLOSE</a></span></code>
                                    <div class="block">Included for completeness sake, not implemented</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_AUTO_DEACTIVATE">BUILTIN_AUTO_DEACTIVATE</a></span></code>
                                    <div class="block">Included for completeness sake, not implemented</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_AUTO_OPEN">BUILTIN_AUTO_OPEN</a></span></code>
                                    <div class="block">Included for completeness sake, not implemented</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_CONSOLIDATE_AREA">BUILTIN_CONSOLIDATE_AREA</a></span></code>
                                    <div class="block">Included for completeness sake, not implemented</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_CRITERIA">BUILTIN_CRITERIA</a></span></code>
                                    <div class="block">Included for completeness sake, not implemented</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_DATA_FORM">BUILTIN_DATA_FORM</a></span></code>
                                    <div class="block">Included for completeness sake, not implemented</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_DATABASE">BUILTIN_DATABASE</a></span></code>
                                    <div class="block">Included for completeness sake, not implemented</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_FILTER_DB">BUILTIN_FILTER_DB</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_PRINT_AREA">BUILTIN_PRINT_AREA</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_PRINT_TITLE">BUILTIN_PRINT_TITLE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_RECORDER">BUILTIN_RECORDER</a></span></code>
                                    <div class="block">Included for completeness sake, not implemented</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#BUILTIN_SHEET_TITLE">BUILTIN_SHEET_TITLE</a></span></code>
                                    <div class="block">Included for completeness sake, not implemented</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#sid">sid</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#NameRecord--">NameRecord</a></span>()</code>
                                    <div class="block">Creates new NameRecord</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#NameRecord-byte-int-">NameRecord</a></span>(byte&nbsp;builtin,
                                    int&nbsp;sheetNumber)</code>
                                    <div class="block">Constructor to create a built-in named region</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#NameRecord-org.apache.poi.hssf.record.RecordInputStream-">NameRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;ris)</code>
                                    <div class="block">called by the constructor, should set class level fields.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getBuiltInName--">getBuiltInName</a></span>()</code>
                                    <div class="block">Gets the Built In Name</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getCustomMenuText--">getCustomMenuText</a></span>()</code>
                                    <div class="block">get the custom menu text</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getDataSize--">getDataSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getDescriptionText--">getDescriptionText</a></span>()</code>
                                    <div class="block">gets the description text</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getExternSheetNumber--">getExternSheetNumber</a></span>()</code>
                                    <div class="block">gets the extern sheet number</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getFnGroup--">getFnGroup</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getHelpTopicText--">getHelpTopicText</a></span>()</code>
                                    <div class="block">get the help topic text</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getKeyboardShortcut--">getKeyboardShortcut</a></span>()</code>
                                    <div class="block">returns the keyboard shortcut</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getNameDefinition--">getNameDefinition</a></span>()</code>
                                    <div class="block">gets the definition, reference (Formula)</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getNameText--">getNameText</a></span>()</code>
                                    <div class="block">gets the name</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getOptionFlag--">getOptionFlag</a></span>()</code>
                                    <div class="block">gets the option flag</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getSheetNumber--">getSheetNumber</a></span>()</code>
                                    <div class="block">For named ranges, and built-in names</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getSid--">getSid</a></span>()</code>
                                    <div class="block">return the non static version of the id for this record.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#getStatusBarText--">getStatusBarText</a></span>()</code>
                                    <div class="block">gets the status bar text</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#hasFormula--">hasFormula</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#isBuiltInName--">isBuiltInName</a></span>()</code>
                                    <div class="block">Convenience Function to determine if the name is a built-in
                                        name
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#isCommandName--">isCommandName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#isComplexFunction--">isComplexFunction</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#isFunctionName--">isFunctionName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#isHiddenName--">isHiddenName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#isMacro--">isMacro</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">serialize</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;out)</code>
                                    <div class="block">NameRecord can span into</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setCustomMenuText-java.lang.String-">setCustomMenuText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">sets the custom menu text</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setDescriptionText-java.lang.String-">setDescriptionText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">sets the description text</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setFunction-boolean-">setFunction</a></span>(boolean&nbsp;function)</code>
                                    <div class="block">Indicates that the defined name refers to a user-defined
                                        function.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setHelpTopicText-java.lang.String-">setHelpTopicText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">sets the help topic text</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setHidden-boolean-">setHidden</a></span>(boolean&nbsp;b)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setKeyboardShortcut-byte-">setKeyboardShortcut</a></span>(byte&nbsp;shortcut)</code>
                                    <div class="block">sets the keyboard shortcut</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setNameDefinition-org.apache.poi.ss.formula.ptg.Ptg:A-">setNameDefinition</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setNameText-java.lang.String-">setNameText</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">sets the name of the named range</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setOptionFlag-short-">setOptionFlag</a></span>(short&nbsp;flag)</code>
                                    <div class="block">sets the option flag for the named range</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setSheetNumber-int-">setSheetNumber</a></span>(int&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#setStatusBarText-java.lang.String-">setStatusBarText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">sets the status bar text</div>
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/NameRecord.html#toString--">toString</a></span>()</code>
                                    <div class="block">get a string representation of the record (for
                                        biffview/debugging)
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.cont.ContinuableRecord">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.cont.<a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecord</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#getRecordSize--">getRecordSize</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#serialize-int-byte:A-">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a></h3>
                                <code><a href="../../../../../org/apache/poi/hssf/record/Record.html#clone--">clone</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#cloneViaReserialise--">cloneViaReserialise</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#serialize--">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="sid">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>sid</h4>
                                <pre>public static final&nbsp;short sid</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.sid">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_CONSOLIDATE_AREA">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_CONSOLIDATE_AREA</h4>
                                <pre>public static final&nbsp;byte BUILTIN_CONSOLIDATE_AREA</pre>
                                <div class="block">Included for completeness sake, not implemented</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_CONSOLIDATE_AREA">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_AUTO_OPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_AUTO_OPEN</h4>
                                <pre>public static final&nbsp;byte BUILTIN_AUTO_OPEN</pre>
                                <div class="block">Included for completeness sake, not implemented</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_AUTO_OPEN">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_AUTO_CLOSE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_AUTO_CLOSE</h4>
                                <pre>public static final&nbsp;byte BUILTIN_AUTO_CLOSE</pre>
                                <div class="block">Included for completeness sake, not implemented</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_AUTO_CLOSE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_DATABASE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_DATABASE</h4>
                                <pre>public static final&nbsp;byte BUILTIN_DATABASE</pre>
                                <div class="block">Included for completeness sake, not implemented</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_DATABASE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_CRITERIA">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_CRITERIA</h4>
                                <pre>public static final&nbsp;byte BUILTIN_CRITERIA</pre>
                                <div class="block">Included for completeness sake, not implemented</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_CRITERIA">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_PRINT_AREA">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_PRINT_AREA</h4>
                                <pre>public static final&nbsp;byte BUILTIN_PRINT_AREA</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_PRINT_AREA">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_PRINT_TITLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_PRINT_TITLE</h4>
                                <pre>public static final&nbsp;byte BUILTIN_PRINT_TITLE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_PRINT_TITLE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_RECORDER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_RECORDER</h4>
                                <pre>public static final&nbsp;byte BUILTIN_RECORDER</pre>
                                <div class="block">Included for completeness sake, not implemented</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_RECORDER">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_DATA_FORM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_DATA_FORM</h4>
                                <pre>public static final&nbsp;byte BUILTIN_DATA_FORM</pre>
                                <div class="block">Included for completeness sake, not implemented</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_DATA_FORM">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_AUTO_ACTIVATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_AUTO_ACTIVATE</h4>
                                <pre>public static final&nbsp;byte BUILTIN_AUTO_ACTIVATE</pre>
                                <div class="block">Included for completeness sake, not implemented</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_AUTO_ACTIVATE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_AUTO_DEACTIVATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_AUTO_DEACTIVATE</h4>
                                <pre>public static final&nbsp;byte BUILTIN_AUTO_DEACTIVATE</pre>
                                <div class="block">Included for completeness sake, not implemented</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_AUTO_DEACTIVATE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_SHEET_TITLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_SHEET_TITLE</h4>
                                <pre>public static final&nbsp;byte BUILTIN_SHEET_TITLE</pre>
                                <div class="block">Included for completeness sake, not implemented</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_SHEET_TITLE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_FILTER_DB">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>BUILTIN_FILTER_DB</h4>
                                <pre>public static final&nbsp;byte BUILTIN_FILTER_DB</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.NameRecord.BUILTIN_FILTER_DB">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="NameRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NameRecord</h4>
                                <pre>public&nbsp;NameRecord()</pre>
                                <div class="block">Creates new NameRecord</div>
                            </li>
                        </ul>
                        <a name="NameRecord-byte-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NameRecord</h4>
                                <pre>public&nbsp;NameRecord(byte&nbsp;builtin,
                  int&nbsp;sheetNumber)</pre>
                                <div class="block">Constructor to create a built-in named region</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>builtin</code> - Built-in byte representation for the name record, use the
                                        public constants
                                    </dd>
                                    <dd><code>sheetNumber</code> - the sheet which the name applies to</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="NameRecord-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>NameRecord</h4>
                                <pre>public&nbsp;NameRecord(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;ris)</pre>
                                <div class="block">called by the constructor, should set class level fields. Should
                                    throw
                                    runtime exception for bad/icomplete data.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ris</code> - the RecordInputstream to read the record from</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setOptionFlag-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOptionFlag</h4>
                                <pre>public&nbsp;void&nbsp;setOptionFlag(short&nbsp;flag)</pre>
                                <div class="block">sets the option flag for the named range</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>flag</code> - option flag</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setKeyboardShortcut-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setKeyboardShortcut</h4>
                                <pre>public&nbsp;void&nbsp;setKeyboardShortcut(byte&nbsp;shortcut)</pre>
                                <div class="block">sets the keyboard shortcut</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>shortcut</code> - keyboard shortcut</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetNumber--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetNumber</h4>
                                <pre>public&nbsp;int&nbsp;getSheetNumber()</pre>
                                <div class="block">For named ranges, and built-in names</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 1-based sheet number.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFnGroup--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFnGroup</h4>
                                <pre>public&nbsp;byte&nbsp;getFnGroup()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>function group</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/hssf/record/FnGroupCountRecord.html"
                                           title="class in org.apache.poi.hssf.record"><code>FnGroupCountRecord</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSheetNumber-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSheetNumber</h4>
                                <pre>public&nbsp;void&nbsp;setSheetNumber(int&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setNameText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNameText</h4>
                                <pre>public&nbsp;void&nbsp;setNameText(java.lang.String&nbsp;name)</pre>
                                <div class="block">sets the name of the named range</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - named range name</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCustomMenuText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCustomMenuText</h4>
                                <pre>public&nbsp;void&nbsp;setCustomMenuText(java.lang.String&nbsp;text)</pre>
                                <div class="block">sets the custom menu text</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - custom menu text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDescriptionText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDescriptionText</h4>
                                <pre>public&nbsp;void&nbsp;setDescriptionText(java.lang.String&nbsp;text)</pre>
                                <div class="block">sets the description text</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - the description text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHelpTopicText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHelpTopicText</h4>
                                <pre>public&nbsp;void&nbsp;setHelpTopicText(java.lang.String&nbsp;text)</pre>
                                <div class="block">sets the help topic text</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - help topix text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setStatusBarText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStatusBarText</h4>
                                <pre>public&nbsp;void&nbsp;setStatusBarText(java.lang.String&nbsp;text)</pre>
                                <div class="block">sets the status bar text</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - status bar text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOptionFlag--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOptionFlag</h4>
                                <pre>public&nbsp;short&nbsp;getOptionFlag()</pre>
                                <div class="block">gets the option flag</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>option flag</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getKeyboardShortcut--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getKeyboardShortcut</h4>
                                <pre>public&nbsp;byte&nbsp;getKeyboardShortcut()</pre>
                                <div class="block">returns the keyboard shortcut</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>keyboard shortcut</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isHiddenName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isHiddenName</h4>
                                <pre>public&nbsp;boolean&nbsp;isHiddenName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if name is hidden</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHidden-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHidden</h4>
                                <pre>public&nbsp;void&nbsp;setHidden(boolean&nbsp;b)</pre>
                            </li>
                        </ul>
                        <a name="isFunctionName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFunctionName</h4>
                                <pre>public&nbsp;boolean&nbsp;isFunctionName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if name is a function</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFunction-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFunction</h4>
                                <pre>public&nbsp;void&nbsp;setFunction(boolean&nbsp;function)</pre>
                                <div class="block">Indicates that the defined name refers to a user-defined function.
                                    This attribute is used when there is an add-in or other code project associated with
                                    the file.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>function</code> - <code>true</code> indicates the name refers to a
                                        function.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasFormula--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasFormula</h4>
                                <pre>public&nbsp;boolean&nbsp;hasFormula()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if name has a formula (named range or defined value)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isCommandName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isCommandName</h4>
                                <pre>public&nbsp;boolean&nbsp;isCommandName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if name is a command</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isMacro--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isMacro</h4>
                                <pre>public&nbsp;boolean&nbsp;isMacro()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if function macro or command macro</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isComplexFunction--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isComplexFunction</h4>
                                <pre>public&nbsp;boolean&nbsp;isComplexFunction()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if array formula or user defined</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isBuiltInName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isBuiltInName</h4>
                                <pre>public&nbsp;boolean&nbsp;isBuiltInName()</pre>
                                <div class="block">Convenience Function to determine if the name is a built-in name
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, if the name is a built-in name</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNameText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getNameText()</pre>
                                <div class="block">gets the name</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>name</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBuiltInName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBuiltInName</h4>
                                <pre>public&nbsp;byte&nbsp;getBuiltInName()</pre>
                                <div class="block">Gets the Built In Name</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the built in Name</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNameDefinition--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameDefinition</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;getNameDefinition()</pre>
                                <div class="block">gets the definition, reference (Formula)</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name formula. never <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNameDefinition-org.apache.poi.ss.formula.ptg.Ptg:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNameDefinition</h4>
                                <pre>public&nbsp;void&nbsp;setNameDefinition(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</pre>
                            </li>
                        </ul>
                        <a name="getCustomMenuText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCustomMenuText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getCustomMenuText()</pre>
                                <div class="block">get the custom menu text</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>custom menu text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDescriptionText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDescriptionText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getDescriptionText()</pre>
                                <div class="block">gets the description text</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>description text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHelpTopicText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHelpTopicText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getHelpTopicText()</pre>
                                <div class="block">get the help topic text</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>gelp topic text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStatusBarText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStatusBarText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getStatusBarText()</pre>
                                <div class="block">gets the status bar text</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>status bar text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;out)</pre>
                                <div class="block">NameRecord can span into</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
                                                title="class in org.apache.poi.hssf.record.cont">ContinuableRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - a data output stream</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataSize</h4>
                                <pre>protected&nbsp;int&nbsp;getDataSize()</pre>
                            </li>
                        </ul>
                        <a name="getExternSheetNumber--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternSheetNumber</h4>
                                <pre>public&nbsp;int&nbsp;getExternSheetNumber()</pre>
                                <div class="block">gets the extern sheet number</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>extern sheet index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSid</h4>
                                <pre>public&nbsp;short&nbsp;getSid()</pre>
                                <div class="block">return the non static version of the id for this record.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/hssf/record/Record.html#getSid--">getSid</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                            title="class in org.apache.poi.hssf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>he id for this record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html#toString--">Record</a></code></span>
                                </div>
                                <div class="block">get a string representation of the record (for biffview/debugging)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/Record.html#toString--">toString</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                            title="class in org.apache.poi.hssf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/NameRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/NameCommentRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/NoteRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/NameRecord.html" target="_top">Frames</a></li>
        <li><a href="NameRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
